<?php

namespace Drupal\mbp\Layout;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Layout\LayoutDefault;

/**
 * Utility bootstrap class.
 */
class BootstrapColumns4 extends LayoutDefault {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return parent::defaultConfiguration() + [
      'breakpoint' => 'md',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $configuration = $this->getConfiguration();

    $form['breakpoint'] = [
      '#type' => 'select',
      '#title' => $this->t('Column Breakpoint'),
      '#description' => $this->t('Select the minimum Bootstrap breakpoint size where columns will be displayed. Below this breakpoint, the row will collapse into a single column.'),
      '#required' => TRUE,
      '#options' => [
        'all' => $this->t('All'),
        'sm' => $this->t('Small'),
        'md' => $this->t('Medium'),
        'lg' => $this->t('Large'),
        'xl' => $this->t('Extra Large'),
      ],
      '#default_value' => $configuration['breakpoint'],
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    $this->configuration['breakpoint'] = $form_state->getValue('breakpoint');
  }

}
